routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware'=>'auth'],function(){
	Route::get('/','BarangController@index');
	Route::resource('barang','BarangController');
	Route::resource('customer','CustomerController');
	Route::resource('transaksi','TransaksiController');
	Route::resource('report','ReportController');	
});

// Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');

app/Transaksi.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Transaksi extends Model
{
    //
    protected $primaryKey = "id_transaksi";
    protected $table ="transaksi";

    public function customer()
    {
    	return $this->hasOne(Customer::class,'id_customer','id_customer');
    }

    public function tr_transaksi()
    {
    	return $this->hasMany(TrTransaksi::class,'id_transaksi','id_barang');
    }

    public function barang()
    {
    	return $this->hasMany(Barang::class,'id_barang','id_barang');
    }

    
}

app/Http/Controllers/TransaksiController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Transaksi;
use App\Customer;
use App\Barang;
use App\TrTransaksi;



class TransaksiController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $data['transaksi'] = Transaksi::paginate(10);
        return view('transaksi.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $data['customer'] = Customer::all();
        $data['barang'] = Barang::all();
        return view('transaksi.create',$data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //

        if(count($request->id_barang) > 0)
        {
            $transaksi = new Transaksi;
            $transaksi->id_customer = $request->id_customer;
            $transaksi->tgl_transaksi = $request->tgl_transaksi;
            $transaksi->no_nota = $request->no_nota;
            $transaksi->keterangan = $request->keterangan;
            $transaksi->save();

            for($i=0;count($request->id_barang) > $i ;$i++):
                $tr_transaksi = new TrTransaksi;
                $tr_transaksi->id_barang = $request->id_barang[$i];
                $tr_transaksi->id_transaksi = $transaksi->id_transaksi;
                $tr_transaksi->save();
            endfor;



            return redirect('transaksi')->with('status','Data transaksi berhasil ditambahkan');;
        }
        else
        {
            return redirect('transaksi')->with('status','Data transaksi gagal ditambahkan');;   
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $transaksi = Transaksi::with('customer')
                    ->where('id_transaksi',$id)
                    ->first();
        $data['transaksi'] = $transaksi;
        $data['barang'] = TrTransaksi::with('barang')->where('id_transaksi',$id)->get();
        return view('transaksi.show',$data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $data = Transaksi::find($id);
        $data->delete();
        return redirect('transaksi');

    }
}

resources/views/transaksi/create.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Transaksi
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Transaksi </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif
     
      <form id="form_barang" action="{{route('transaksi.store')}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
        @csrf

         <div class="form-group">
            <label class="col-form-label col-sm-2" for="tgl_transaksi"> Tanggal Transaksi   <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
              <input type="text" id="tgl_transaksi" name="tgl_transaksi" value="{{old('tgl_transaksi')}}" required="required" class="form-control">
            </div>
          </div>


          <div class="form-group">
              <label class="col-form-label col-sm-2" for="no_nota">  Customer  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <select name="id_customer" class="form-control">
                    <option value="">  - Pilih customer - </option>
                    @foreach( $customer as $cs )
                      <option value="{{$cs->id_customer}}"> {{$cs->nama_customer}} </option>
                    @endforeach
                </select>
                
              </div>
          </div>

          <div class="form-group">
              <label class="col-form-label col-sm-2" for="no_nota">  No Nota  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <input type="text" id="no_nota" name="no_nota" value="{{date('Ymd'.rand(3,100))}}" required="required" class="form-control">
              </div>
          </div>


          <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
            <textarea type="text" id="keterangan"  name="keterangan"   class="form-control">{{old('keterangan')}}</textarea>
            </div>
          </div>  
          <br><br>
      <div  class="col-sm-12">
          <button  type="button" class="btn btn-success" data-toggle="modal" data-target="#modalBarang"><i class="fa fa-plus"></i> Tambah  </button>
      </div>
        <div class="form-group">
          <table id="tableTransaksi" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title"> Nama Barang </th>
                <th class="column-title">  Harga </th>
                </th>
              </tr>
            </thead>   
            <tbody>
              
            </tbody> 
          </table>
        </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('transaksi.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>

       
      </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="modalBarang" tabindex="-1" role="dialog" aria-labelledby="modalBarangTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <table id="tableBarang" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title">Nama Barang </th>
                <th class="column-title"> Harga Jual </th>
                <th class="column-title"> Keterangan </th>
                <th class="column-title no-link last" width="150px;"><span class="nobr">Action</span>
                </th>
              </tr>
            </thead>
            <tbody>
              @php
                $no=1;   
              @endphp
              @foreach ($barang as $br)
                <tr>
                  <td>{{$no}}</td>
                  <td>{{$br->nama_barang}}</td>
                  <td>{{$br->harga_jual}}</td>
                  <td>{{$br->keterangan}}</td>
                  <td> 
                    <button onclick="pilihBarang(this,'{{$br->id_barang}}')" class="btn btn-primary pilihBarang"> Pilih </button>
                  </td>
                </tr>    
                @php
                  $no++    
                @endphp
              @endforeach
              

            </tbody>
          </table>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
@endsection

@section('script')
  <script type="text/javascript">
    $('#tgl_transaksi').datetimepicker({
        format: 'DD-MM-YYYY'
    });

    // $('#tableBarang').on('click','.pil')

    function pilihBarang(e,id)
    {
       var tableTransaksi = $('#tableTransaksi tbody');
       var current = $(e).closest('tr');

        var col1 = current.find('td:eq(0)').text();
        var col2 = current.find('td:eq(1)').text();
        var col3 = current.find('td:eq(2)').text();
        var col4 = current.find('td:eq(3)').text();


        tableTransaksi.append('<tr>'+
            '<td>'+col1+'</td>'+
            '<td>'+col2+'</td>'+
            '<td>'+col3+'</td>'+
            '<input type="hidden" name="id_barang[]" value="'+id+'">'+
          '</tr>');

        $('#modalBarang').modal('hide');


    }
  </script>
@endsection

resources/views/transaksi/edit.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	Create Barang
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Master Barang </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif
     
      <form id="form_barang" action="{{route('barang.update',$barang->id_barang)}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
            {{ csrf_field() }}
            {{ method_field('PUT') }}
         <div class="form-group">
            <label class="col-form-label col-sm-2" for="nama_barang"> Nama Barang   <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
            <input type="text" id="nama_barang" name="nama_barang" value="{{$barang->nama_barang}}" required="required" class="form-control">
            </div>
          </div>

          <div class="form-group">
              <label class="col-form-label col-sm-2" for="harga_beli"> Harga beli  <span class="required" style="color:red">*</span>
              </label>
              <div class="col-md-6">
                <input type="text" id="harga_beli" name="harga_beli" value="{{$barang->harga_beli}}" required="required" class="form-control">
              </div>
            </div>


          <div class="form-group">
            <label class="col-form-label col-sm-2" for="harga_jual"> Harga Jual  <span class="required" style="color:red">*</span>
            </label>
            <div class="col-md-6">
              <input type="text" id="harga_jual" name="harga_jual" value="{{$barang->harga_jual}}" required="required" class="form-control">
            </div>
          </div>

           <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
              <textarea type="text" id="keterangan"  name="keterangan"  class="form-control">{{$barang->keterangan}}</textarea>
            </div>
          </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('barang.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>
      </div>
    </div>
</div>
@endsection

resources/views/transaksi/index.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
	 Transaksi
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2>  Transaksi </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      @if (session('status'))
        <div class="alert alert-success">
            {{ session('status') }}
        </div>
      @endif

      <div  class="col-sm-12">
          <a class="btn btn-success" id=""  href="{{route('transaksi.create')}}"><i class="fa fa-plus"></i> Tambah  </a>
      </div>
      <div class="x_content">
            <table id="" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title">Tanggal Transaksi </th>
                <th class="column-title">  No Nota </th>
                <th class="column-title"> Keterangan </th>
                <th class="column-title no-link last" width="150px;"><span class="nobr">Action</span>
                </th>
              </tr>
            </thead>
            <tbody>
              @php
                $no=1;   
              @endphp
              @foreach ($transaksi as $tr)
                <tr>
                  <td>{{$no}}</td>
                  <td>{{$tr->tgl_transaksi}}</td>
                  <td>{{$tr->no_nota}}</td>
                  <td>{{$tr->keterangan}}</td>
                <td> <a class="btn btn-primary" href="{{route('transaksi.show',$tr->id_transaksi)}}"> View </a>
                   {{-- <a class="btn btn-danger" href="{{url('Transaksi/'.$tr->id_transaksi)}}"> Delete </a>  --}}
                   <form action="{{ route('transaksi.destroy', $tr->id_transaksi) }}" method="POST" style="display:inline">
                      {{ csrf_field() }}
                      {{ method_field('DELETE') }}
                      <button class="btn btn-danger btn-xs">
                        <span>DELETE</span>
                      </button>
                    </form>
                  
                  </td>
                </tr>    
                @php
                  $no++    
                @endphp
              @endforeach
            </tbody>
          </table>
      </div>
    </div>
</div>

@endsection

resources/views/transaksi/show.blade.php
<!-- LAYOUT -->
@extends('layout')

<!-- TITLE -->
@section('title')
  Transaksi
@endsection


<!-- CONTENT -->
@section('content')
<div>
    <div class="x_panel">
      <div class="x_title">
        <h2> Transaksi </h2>
        <ul class="nav navbar-right panel_toolbox">
          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
          </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            <ul class="dropdown-menu" role="menu">
              <li><a href="#">Settings 1</a>
              </li>
              <li><a href="#">Settings 2</a>
              </li>
            </ul>
          </li>
          <li><a class="close-link"><i class="fa fa-close"></i></a>
          </li>
        </ul>
        <div class="clearfix"></div>
      </div>

      <div class="x_content">
      @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
      @endif  
     
      <form id="form_barang" action="{{route('transaksi.store')}}"  method="POST" data-parsley-validate class="form-horizontal form-label-left">
        @csrf

         <div class="form-group">
            <label class="col-form-label col-sm-2" for="tgl_transaksi"> Tanggal Transaksi   
            </label>
            <div class="col-md-6">
                {{$transaksi->tgl_transaksi}}
            </div>
          </div>

          <div class="form-group">
              <label class="col-form-label col-sm-2" for="no_nota">  Customer 
              </label>
              <div class="col-md-6">
                   {{$transaksi->customer->nama_customer}}
              </div>
          </div>

          <div class="form-group">
              <label class="col-form-label col-sm-2" for="no_nota">  No Nota 
              </label>
              <div class="col-md-6">
                {{$transaksi->no_nota}}
              </div>
          </div>


          <div class="form-group">
            <label class="col-form-label col-sm-2" for="keterangan"> Keterangan
            </label>
            <div class="col-md-6">
                  {{$transaksi->keterangan}}
            </div>
          </div>  
          <br><br>
      
        <div class="form-group">
          <table id="tableTransaksi" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title"> Nama Barang </th>
                <th class="column-title">  Harga </th>
                </th>
              </tr>
            </thead>   
            <tbody>
              @php
                $no = 1;
              @endphp
                @foreach($barang as $br)
                  <tr>
                    <td>{{$no}}</td>
                    <td> {{$br->barang->nama_barang}} </td>
                    <td> {{$br->barang->harga_jual}} </td>
                  </tr>
                  @php
                   $no++ 
                  @endphp
                @endforeach
            </tbody> 
          </table>
        </div>

          <div class="ln_solid"></div>
          <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
              <a class="btn btn-default" type="button" href="{{ route('transaksi.index') }}" >Batal</a>
              <button type="submit"  id=""  class="btn btn-success">Simpan</button>
            </div>
          </div>
        </form>

       
      </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="modalBarang" tabindex="-1" role="dialog" aria-labelledby="modalBarangTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <table id="tableBarang" class="table table-striped jambo_table bulk_action" cellspacing="0" width="100%">
            <thead>
              <tr class="headings">
                <th class="column-title" width="5%">No </th>
                <th class="column-title">Nama Barang </th>
                <th class="column-title"> Harga Jual </th>
                <th class="column-title"> Keterangan </th>
                <th class="column-title no-link last" width="150px;"><span class="nobr">Action</span>
                </th>
              </tr>
            </thead>
            <tbody>
              {{-- @php
                $no=1;   
              @endphp
              @foreach ($barang as $br)
                <tr>
                  <td>{{$no}}</td>
                  <td>{{$br->nama_barang}}</td>
                  <td>{{$br->harga_jual}}</td>
                  <td>{{$br->keterangan}}</td>
                  <td> 
                    <button onclick="pilihBarang(this,'{{$br->id_barang}}')" class="btn btn-primary pilihBarang"> Pilih </button>
                  </td>
                </tr>    
                @php
                  $no++    
                @endphp
              @endforeach
               --}}

            </tbody>
          </table>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
@endsection

@section('script')
  <script type="text/javascript">
    $('#tgl_transaksi').datetimepicker({
        format: 'DD-MM-YYYY'
    });

    // $('#tableBarang').on('click','.pil')

    function pilihBarang(e,id)
    {
       var tableTransaksi = $('#tableTransaksi tbody');
       var current = $(e).closest('tr');

        var col1 = current.find('td:eq(0)').text();
        var col2 = current.find('td:eq(1)').text();
        var col3 = current.find('td:eq(2)').text();
        var col4 = current.find('td:eq(3)').text();


        tableTransaksi.append('<tr>'+
            '<td>'+col1+'</td>'+
            '<td>'+col2+'</td>'+
            '<td>'+col3+'</td>'+
            '<input type="hidden" name="id_barang[]" value="'+id+'">'+
          '</tr>');

        $('#modalBarang').modal('hide');


    }
  </script>
@endsection